Subject: Re: linux-next: manual merge of the wireless-drivers-next tree with the wireless-drivers tree

From: Kalle Valo <[email-masked]>
Date: Thu, 26 Apr 2018 13:33:09 +0300

Luciano Coelho <[email-masked]> writes:

> On Thu, 2018-04-26 at 11:09 +1000, Stephen Rothwell wrote:
>> Hi all,
>> 
>> Today's linux-next merge of the wireless-drivers-next tree got a
>> conflict in:
>> 
>>   drivers/net/wireless/intel/iwlwifi/iwl-nvm-parse.c
>> 
>> between commit:
>> 
>>   77e30e10ee28 ("iwlwifi: mvm: query regdb for wmm rule if needed")
>> 
>> from the wireless-drivers tree and commits:
>> 
>>   9c4f7d512740 ("iwlwifi: move all NVM parsing code to the common
>> files")
>>   4c625c564ba2 ("iwlwifi: get rid of fw/nvm.c")
>> 
>> from the wireless-drivers-next tree.
>> 
>> I fixed it up (see below) and can carry the fix as necessary. This
>> is now fixed as far as linux-next is concerned, but any non trivial
>> conflicts should be mentioned to your upstream maintainer when your
>> tree
>> is submitted for merging.  You may also want to consider cooperating
>> with the maintainer of the conflicting tree to minimise any
>> particularly
>> complex conflicts.
>
> Thanks for resolving this, Stephen!
>
> I checked your resolution and it's spot on.

I now merged w-d to w-d-next to fix this, please check:

https://git.kernel.org/pub/scm/linux/kernel/git/kvalo/wireless-drivers-next.git/commit/?id=0ddcf3e76ae4d02918e609342a1020b50258fadd

I was not sure what to do with these includes so I left them in:

#include "fw/api/commands.h"
#include "fw/api/cmdhdr.h"
#include "fw/img.h"

-- 
Kalle Valo